libavahi-cil-dev_0.6.19-4.2_all.deb


Advertisement

Description

libavahi-cil-dev - CLI bindings for Avahi

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libavahi-cil-dev
Package version 0.6.19
Package release 4.2
Package architecture all
Package type deb
Installed size 43 B
Download size 8.36 KB
Official Mirror ftp.br.debian.org
Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
It allows programs to publish and discover services and hosts
running on a local network with no specific configuration.  For
example you can plug into a network and instantly find printers to
print to, files to look at and people to talk to.
This package contains development files for the avahi-sharp library, and
should be used for compilation.

Alternatives

Package Version Architecture Repository
libavahi-cil-dev_0.6.19-4.2_all.deb 0.6.19 all Debian Main
libavahi-cil-dev - - -

Requires

Name Value
libavahi1.0-cil = 0.6.19-4.2

Replaces

Name Value
libavahi-cil -
libavahi1.0-cil << 0.6.19-4.1~

Download

Type URL
Binary Package libavahi-cil-dev_0.6.19-4.2_all.deb
Source Package avahi-sharp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libavahi-cil-dev deb package:
    # sudo apt-get install libavahi-cil-dev

Files

Path
/usr/lib/pkgconfig/avahi-sharp.pc
/usr/share/doc/libavahi-cil-dev/changelog.Debian.gz
/usr/share/doc/libavahi-cil-dev/copyright

Changelog

2012-01-21 - Chow Loong Jin <hyperair@debian.org>
avahi-sharp (0.6.19-4.2) unstable; urgency=low
* Non-maintainer upload.
* Rebuild for CLR 4.0 transition (Closes: #656644)
2010-01-13 - Iain Lane <laney@ubuntu.com>
avahi-sharp (0.6.19-4.1) unstable; urgency=low
* Non-maintainer upload.
* debian/control: Replace library build-depends with -dev counterparts which
now contain the pcfiles.
* debian/rules: Update compiler to mono-csc per latest CLI policy (Closes:
#562268).
* debian/control, debian/*-dev.install: Create -dev packages containing
pcfiles. These should now be depended on by Debian packages (Closes:
#564886).
* debian/monodoc-avahi-manual.postinst: Delete, now handled by triggers.
2009-03-06 - Sebastian Dröge <slomo@debian.org>
avahi-sharp (0.6.19-4) unstable; urgency=low
* debian/patches/01_configurable_compiler.patch:
+ Make the compiler configurable for the Mono 2.0 transition.
Thanks to Iain Lane for the patch (Closes: #518424).
2009-03-04 - Sebastian Dröge <slomo@debian.org>
avahi-sharp (0.6.19-3) unstable; urgency=low
* debian/control,
debian/rules:
+ Update for mono 2.0 transition.
* debian/control:
+ Update Standards-Version to 3.8.0, no additional changes needed.
2008-01-14 - Sebastian Dröge <slomo@debian.org>
avahi-sharp (0.6.19-2) unstable; urgency=low
* debian/control:
+ Build depend on required packages (Closes: #460360).
+ Update Standards-Version to 3.7.3, no additional changes needed.
* debian/rules:
+ Remove remaining files on clean to allow building twice from the
same source tree (Closes: #442498, #424109).
+ Use dh_clifixperms instead of manual find magic to fix permissions.
2007-05-17 - Sebastian Dröge <slomo@debian.org>
avahi-sharp (0.6.19-1) unstable; urgency=low
* New upstream release
* debian/control:
+ Update build dependencies.
* debian/control,
debian/libavahi1.0-cil.install,
debian/libavahi-ui0.0-cil.install,
debian/libavahi-ui0.0-cil.installcligac,
debian/rules:
+ Add new avahi-ui-sharp library.
2007-01-08 - Sebastian Dröge <slomo@debian.org>
avahi-sharp (0.6.11-2) unstable; urgency=low
* debian/control:
+ change Section for monodoc-avahi-manual to doc (Closes: #374184)
+ updated to use my debian.org mail address
+ updated Standards-Version
2006-06-26 - Sebastian Dröge <slomo@ubuntu.com>
avahi-sharp (0.6.11-1) unstable; urgency=low
[ Sjoerd Simons ]
* debian/copyright: Obfuscate Lennart poettering's e-mail address on his
request.
* debian/patches/01_processes_thread.patch (from avahi svn)
+ ensure the event loop is finished before freeing the poll object
+ set Client.Handle to null immediately after freeing it
[ Sebastian Dröge ]
* New upstream release
+ Drop debian/patches/01_processes_thread.patch (merged upstream)
2006-05-10 - Sjoerd Simons <sjoerd@debian.org>
avahi-sharp (0.6.10-1) unstable; urgency=low
[ Sjoerd Simons ]
* First upload of standalone avahi-sharp package (Split out from the main
source tarball for  debian)
* New upstream add a missing lock around
avahi_entry_group_add_service_strlst (Closes: #348999)  
[ Sebastian Dröge ]
* Make libavahi1.0-cil conform to the latest version of the CLI policy and
use late GAC installation via dh_installcligac
* patches/08_avahi-sharp-pkg-config-new-location.patch:
+ Adjust the location of the .dll in the pkg-config file for the new CLI
policy.
2006-04-04 - Sjoerd Simons <sjoerd@debian.org>
avahi (0.6.9-8) unstable; urgency=medium
* Pass --disable-mono --disable-monodoc to configure on ia64 and powerpc.
This makes the fix in the previous package actually usefull.

See Also

Package Description
libavahi-client-dev_0.6.31-5_amd64.deb Development files for the Avahi client library
libavahi-client3_0.6.31-5_amd64.deb Avahi client library
libavahi-common-data_0.6.31-5_amd64.deb Avahi common data files
libavahi-common-dev_0.6.31-5_amd64.deb Development files for the Avahi common library
libavahi-common3_0.6.31-5_amd64.deb Avahi common library
libavahi-compat-libdnssd-dev_0.6.31-5_amd64.deb Development headers for the Avahi Apple Bonjour compatibility library
libavahi-compat-libdnssd1_0.6.31-5_amd64.deb Avahi Apple Bonjour compatibility library
libavahi-core-dev_0.6.31-5_amd64.deb Development files for Avahi's embeddable mDNS/DNS-SD library
libavahi-core7_0.6.31-5_amd64.deb Avahi's embeddable mDNS/DNS-SD library
libavahi-glib-dev_0.6.31-5_amd64.deb Development headers for the Avahi GLib integration library
libavahi-glib1_0.6.31-5_amd64.deb Avahi GLib integration library
libavahi-gobject-dev_0.6.31-5_amd64.deb Development headers for the Avahi GObject library
libavahi-gobject0_0.6.31-5_amd64.deb Avahi GObject library
libavahi-qt4-1_0.6.31-5_amd64.deb Avahi Qt 4 integration library
libavahi-qt4-dev_0.6.31-5_amd64.deb Development headers for the Avahi Qt 4 integration library
Advertisement
Advertisement